'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  return {
    visitor: {
      CallExpression: function CallExpression(pathObj, meta) {

        if (!pathObj.node) return;

        if (!pathObj.node.callee) return;

        if (!pathObj.node.arguments) return;

        if (!pathObj.node.arguments[0]) return;

        if (pathObj.node.callee.name !== 'require') return;

        if (!pathObj.node.arguments[0].value) return;

        if (pathObj.node.arguments[0].value.indexOf(LOCAL_MODULES_NAME) !== 0) return;

        var oldRequire = pathObj.node.arguments[0].value;
        var dirname = _path2.default.dirname(meta.file.opts.filename);
        var newLocalModulesPath = _path2.default.relative(dirname, LOCAL_MODULES_NAME);
        pathObj.node.arguments[0].value = './' + newLocalModulesPath + oldRequire.substr(LOCAL_MODULES_NAME.length);
      }
    }
  };
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LOCAL_MODULES_NAME = 'local_modules';